function Z=KR(A,B);
% Z=KR(A,B)
% Khatri-Rao product
% P.Comon, September 2009

R=size(A,2);
if R~=size(B,2)
    error('Matrices A and B must have the same number of columns');
end

Z=zeros(size(A,1)*size(B,1),R);
for r=1:R
    Z(:,r)=kron(A(:,r),B(:,r));
end